Bug 438195 - Review Request: wgrib2 - Manipulate, inventory and decode GRIB2 files
Review Request: wgrib2 - Manipulate, inventory and decode GRIB2 files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 13:10 EDT by Orion Poplawski
Modified: 2008-05-20 11:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 11:43:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-03-19 13:10:25 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/wgrib2.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/wgrib2-1.7.2-1.fc8.src.rpm
Description:
Wgrib2 is a swiss army knife for grib2 files. You can use it inventory or
extract data. You can do basic database operations and other nifty things.

GRIB-2 has arrived and has begun replacing the the older standard GRIB
(GRIB-1). Since GRIB-2 can reduce the file size by upto 80% (NAM, JPEG2000
compression), converting to the new standard may be faster than some expected.

Wgrib2 has been out in the wild since 9/16/2005 (alpha release). The original
version was rough around the edges but the new design helped and now wgrib2
has much more functionality than the older wgrib.
Comment 1 Patrice Dumas 2008-05-18 06:55:00 EDT
I did a package too, very similar with yours (strange isn't it ;-)
but with a makefile patch different and correspondingly a make
call slightly different.

Otherwise I think that the first paragraph of the %description would
be enough.

Also I have a libpng-devel BuildRequires

And this for the license:
# most files are public domain, geo.c and Netcdf.c are GPL+, gribtab.c is GPLv2+
License:        GPLv2+

and summary
Summary:        Manipulate, inventory and decode GRIB2 files

http://www.environnement.ens.fr/perso/dumas/fc-srpms/wgrib2-pat.spec
http://www.environnement.ens.fr/perso/dumas/fc-srpms/wgrib2-1.6.1-1.fc9.src.rpm
Comment 2 Orion Poplawski 2008-05-19 12:27:54 EDT
(In reply to comment #1)
> I did a package too, very similar with yours (strange isn't it ;-)

I guess we both work in the earth sciences area? 

> but with a makefile patch different and correspondingly a make
> call slightly different.

I've reworked mine again.

> Otherwise I think that the first paragraph of the %description would
> be enough.

Agreed.
 
> Also I have a libpng-devel BuildRequires

g2clib-devel requires libpng-devel.
 
> And this for the license:
> # most files are public domain, geo.c and Netcdf.c are GPL+, gribtab.c is GPLv2+
> License:        GPLv2+

Fixed.

> and summary
> Summary:        Manipulate, inventory and decode GRIB2 files

Fixed.

http://www.cora.nwra.com/~orion/fedora/wgrib2.spec
http://www.cora.nwra.com/~orion/fedora/wgrib2-1.7.2b-1.fc8.src.rpm

* Mon May 19 2008 Orion Poplawski <orion@cora.nwra.com> - 1.7.2b-1
- Update to 1.7.2b
- Update makefile patch

Build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=617750
Comment 3 Patrice Dumas 2008-05-19 17:51:45 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > I did a package too, very similar with yours (strange isn't it ;-)
> 
> I guess we both work in the earth sciences area? 

As strange as it may be, I am not in earth sciences (though I
was trained as a biologist), I am an economist, but an economist 
working a lot with climate scientists (mainly on climate change 
consequences)...

> g2clib-devel requires libpng-devel.

Ok. 
  
I have 2 remarks
- I think it is better to avoid naming files with fedora, to 
  play nicer with downstream for spec files, be it only EPEL.
- the -r of rm is useless

These are not blockers, so:

* follow packaging guidelines
* match upstream
8929dd70291298b2638a6740011d82be  wgrib2.tgz.v1.7.2b
* free software, license included
* %files section right

APPROVED


I'd appreciate to be in initialCC and watchcommit.
Comment 4 Orion Poplawski 2008-05-19 18:03:21 EDT
New Package CVS Request
=======================
Package Name: wgrib2
Short Description: Manipulate, inventory and decode GRIB2 files
Owners: orion
Branches: F-9 F-8 F-7 EL-5 EL-4
InitialCC: pertusus
WatchCommit: pertusus
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-05-19 22:33:39 EDT
cvs done, with the exception of the watchcommits. You will need to request that
from the package database webpage. 
Comment 6 Orion Poplawski 2008-05-20 11:43:36 EDT
Checked in, built, added to f10 comps.

Note You need to log in before you can comment on or make changes to this bug.